/***************************************************************************
                          radio.cpp  -  description
                             -------------------
    begin                : Sat Oct 30 1999
    copyright            : (C) 1999 by Peter van Eerten
    email                : emphroon@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// radio.cpp: a Qt radio front end to the Aztech/Packard Bell card
// (c) Peter van Eerten, Enschede, The Netherlands, 1999
// Published under the GNU license

#include <qapplication.h>
#include <qfont.h>
#include <qpixmap.h>

#include <string.h>
#include <stdlib.h> 					//needed for linux system calls

#include "frontend.h"

void checkfile ()
{
FILE *defaults;
char *homedir; homedir = new char [60];
char *command; command = new char [60];
char temporary [100];
homedir = getenv ("HOME");

if (homedir != NULL)					//check file in home directory
{
strcpy (temporary, homedir);					//exists? open it
strcat (temporary, "/.qradiorc");
defaults = fopen (temporary, "r");
}
else defaults = fopen (".qtradiorc", "r");		//otherwise, just open file in current dir

if (defaults == NULL)					//is there no file at all?
{
strcpy (temporary, "echo 87.5 87.5 87.5 87.5 "); 	  //save new defaults in file .qtradiorc
strcat (temporary, "87.5 87.5 87.5 87.5 1 >");
if (homedir != NULL) strcat (temporary, homedir);		 //now there will always be a .qtradiorc!!!!
strcat (temporary, "/.qradiorc");                                //add homedirectory if $HOME is existing
command = temporary;
system (command);
return;
}
}

int main (int argc, char **argv)
{
  checkfile ();
  QApplication Qradio (argc, argv);			//define mainwindow

  radiofrontend PackardBell;				//initialize frontend
  Qradio.setMainWidget (&PackardBell);

  PackardBell.setGeometry (250, 170, 0, 0);		//set size of frontend
  PackardBell.show();

  return Qradio.exec();
}
