%define name qradio
%define version 0.5.3
%define release 1mdk

Summary: Graphical frontend for *ALL* radiocards.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: qradio-%{version}.tar.gz
URL: http://www.geocities.com/TimesSquare/Corner/6262
Copyright: GPL
Packager: Peter van Eerten <emphroon@yahoo.com>
Group: Applications/Multimedia

%description
Graphical radio frontend for radiocards. Requires video4linux extensions. Compile the driver for
your radiocard into the kernel and you're ready to listen!!

%prep
%setup
./configure --with-install-root=$RPM_BUILD_ROOT

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
install -s -m 755 -o 0 -g 0 qradio/qradio /usr/bin/qradio
cp qradio/mini-qradio.xpm /usr/share/icons/mini/mini-qradio.xpm
cp qradio/qradio.xpm /usr/share/icons/qradio.xpm

%post
if ! [ -a /dev/radio0 ]; then
	mknod /dev/radio0 c 81 64
fi
if ! [ -h /dev/radio ]; then
	ln -s /dev/radio0 /dev/radio
fi

%files
%doc README COPYING ChangeLog AUTHORS TODO README-FM
/usr/bin/qradio
/usr/share/icons/mini/mini-qradio.xpm
/usr/share/icons/qradio.xpm

# end of file
